Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class JcaModel

    java.lang.Object
      org.mule.model.AbstractModel
          org.mule.module.jca.JcaModel

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, Model, NamedObject

    public class JcaModel

extends AbstractModel

Creates a model suitable for Jca execution

Field Summary
`static String` | `JCA_MODEL_TYPE`

Fields inherited from class org.mule.model.AbstractModel
`DEFAULT_MODEL_NAME, lifecycleManager, logger, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JcaModel()`

Method Summary
`String` | `getType()` Returns the model type name.

Methods inherited from class org.mule.model.AbstractModel
`dispose, getEntryPointResolverSet, getExceptionListener, getLifecycleAdapterFactory, getLifecycleState, getMuleContext, getName, initialise, setEntryPointResolvers, setEntryPointResolverSet, setExceptionListener, setLifecycleAdapterFactory, setMuleContext, setName, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JCA_MODEL_TYPE

    public static final String JCA_MODEL_TYPE

See Also:
  Constant Field Values

Constructor Detail

### JcaModel

    public JcaModel()

Method Detail

### getType

    public String getType()

  Description copied from interface: `Model`
  Returns the model type name. This is a friendly identifier that is used to look up the SPI class for the model

  Returns:
    the model type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.